Bug 84813 - update port: lang/sketchy
Summary: update port: lang/sketchy
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-08-11 19:20 UTC by Nils M Holm
Modified: 2005-09-14 11:13 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nils M Holm 2005-08-11 19:20:09 UTC
Update to version 2005-08-07.

Fix: 

-- 
Nils M Holm <nmh@t3x.org> -- http://www.t3x.org/nmh/--cUZNOZyVE4gNBsl2gKXwB2OYqRLsZ7al8BuwKtcyqUt2nlmT
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

diff -ru lang/sketchy-old/Makefile lang/sketchy/Makefile
--- lang/sketchy-old/Makefile	Wed Jul  6 09:54:14 2005
+++ lang/sketchy/Makefile	Thu Aug 11 20:09:30 2005
@@ -6,19 +6,16 @@
 #
 
 PORTNAME=	sketchy
-PORTVERSION=	20050705
+PORTVERSION=	20050807
 CATEGORIES=	lang devel lisp
 MASTER_SITES=	http://www.t3x.org/sketchy/
 
 MAINTAINER=	nmh@t3x.org
 COMMENT=	An interpreter for a purely applicative dialect of Scheme
 
-BUILD_DEPENDS=	tx:${PORTSDIR}/lang/t3x
-
 MAN7=		sketchy.7
 
-MAKE_ENV+=	T3XDIR=${LOCALBASE}/t3x/r8 \
-		BINOWN=${BINOWN} \
+MAKE_ENV+=	BINOWN=${BINOWN} \
 		BINGRP=${BINGRP} \
 		PREFIX=${PREFIX}
 
diff -ru lang/sketchy-old/distinfo lang/sketchy/distinfo
--- lang/sketchy-old/distinfo	Wed Jul  6 09:54:14 2005
+++ lang/sketchy/distinfo	Thu Aug 11 20:08:27 2005
@@ -1,2 +1,2 @@
-MD5 (sketchy-20050705.tar.gz) = d5fb9c50ecfab59e2028c7ab12d44f76
-SIZE (sketchy-20050705.tar.gz) = 151582
+MD5 (sketchy-20050807.tar.gz) = a4c9555a0e60432a1a5daea7701308a0
+SIZE (sketchy-20050807.tar.gz) = 131289
diff -ru lang/sketchy-old/pkg-descr lang/sketchy/pkg-descr
--- lang/sketchy-old/pkg-descr	Thu May 26 22:00:59 2005
+++ lang/sketchy/pkg-descr	Thu Aug 11 20:08:27 2005
@@ -1,7 +1,6 @@
-SketchyLISP is a small, tail-recursive, lexically scoped
-interpreter for a purely applicative dialect of Scheme.
-It may be considered an implementation of pure LISP plus
-global definitions (DEFINE) and first-class continuations
+SketchyLISP is an interpreter for a purely applicative dialect
+of Scheme. It may be considered an implementation of pure LISP
+plus global definitions (DEFINE) and first-class continuations
 (CALL/CC).
 
 This package contains the SketchyLISP interpreter and library,
diff -ru lang/sketchy-old/pkg-plist lang/sketchy/pkg-plist
--- lang/sketchy-old/pkg-plist	Wed Jul  6 09:54:14 2005
+++ lang/sketchy/pkg-plist	Thu Aug 11 20:08:27 2005
@@ -1,6 +1,5 @@
 bin/Sk
 bin/sketchy
-bin/sk_install
 %%DATADIR%%/lib/abs.l
 %%DATADIR%%/lib/anyp.l
 %%DATADIR%%/lib/append.l
@@ -72,9 +71,7 @@
 %%DATADIR%%/lib/maplist.l
 %%DATADIR%%/lib/max.l
 %%DATADIR%%/lib/member.l
-%%DATADIR%%/lib/memberp.l
 %%DATADIR%%/lib/memq.l
-%%DATADIR%%/lib/memqp.l
 %%DATADIR%%/lib/min.l
 %%DATADIR%%/lib/minus.l
 %%DATADIR%%/lib/modulo.l
@@ -106,7 +103,6 @@
 %%DATADIR%%/lib/permute.l
 %%DATADIR%%/lib/plus.l
 %%DATADIR%%/lib/positivep.l
-%%DATADIR%%/lib/pred.l
 %%DATADIR%%/lib/product.l
 %%DATADIR%%/lib/quicksort.l
 %%DATADIR%%/lib/quotient.l
@@ -137,7 +133,6 @@
 %%DATADIR%%/lib/sublist.l
 %%DATADIR%%/lib/subst.l
 %%DATADIR%%/lib/substring.l
-%%DATADIR%%/lib/succ.l
 %%DATADIR%%/lib/sum.l
 %%DATADIR%%/lib/tailp.l
 %%DATADIR%%/lib/times.l
@@ -232,9 +227,7 @@
 %%DOCSDIR%%/library/max.html
 %%DOCSDIR%%/library/maplist.html
 %%DOCSDIR%%/library/member.html
-%%DOCSDIR%%/library/memberp.html
 %%DOCSDIR%%/library/memq.html
-%%DOCSDIR%%/library/memqp.html
 %%DOCSDIR%%/library/min.html
 %%DOCSDIR%%/library/minus.html
 %%DOCSDIR%%/library/modulo.html
@@ -266,7 +259,6 @@
 %%DOCSDIR%%/library/permute.html
 %%DOCSDIR%%/library/plus.html
 %%DOCSDIR%%/library/positivep.html
-%%DOCSDIR%%/library/pred.html
 %%DOCSDIR%%/library/product.html
 %%DOCSDIR%%/library/quicksort.html
 %%DOCSDIR%%/library/quotient.html
@@ -297,7 +289,6 @@
 %%DOCSDIR%%/library/sublist.html
 %%DOCSDIR%%/library/subst.html
 %%DOCSDIR%%/library/substring.html
-%%DOCSDIR%%/library/succ.html
 %%DOCSDIR%%/library/sum.html
 %%DOCSDIR%%/library/tailp.html
 %%DOCSDIR%%/library/times.html
@@ -318,7 +309,7 @@
 %%DOCSDIR%%/sk08.html
 %%DOCSDIR%%/sk09.html
 %%DOCSDIR%%/toc.html
-%%DOCSDIR%%/sketchy.css
+%%DOCSDIR%%/retro.css
 @dirrm %%DATADIR%%/lib
 @dirrm %%DATADIR%%/src
 @dirrm %%DATADIR%%
Comment 1 Volker Stolz freebsd_committer 2005-09-14 11:12:51 UTC
State Changed
From-To: open->closed

Committd, thanks!